@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');

@import url('https://fonts.googleapis.com/css2?family=Archivo:ital,wght@0,100..900;1,100..900&family=Hanken+Grotesk:ital,wght@0,100..900;1,100..900&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


* {
    margin: 0;
    padding: 0;
}

body {
    background-color: #F8F8F8 ! important;
    font-family: "Archivo", serif;
}

body::-webkit-scrollbar {
    width: 5px;
}

body::-webkit-scrollbar-track {
    background: #c5c5c5;
}

body::-webkit-scrollbar-thumb {
    background: #242424;

}

.h1,
h1 {
    font-size: 2.rem;
}

.h2,
h2 {
    font-size: 2rem;
}

.h3,
h3 {
    font-size: 1.75rem;
}

.h4,
h4 {
    font-size: 1.5rem;
}

.h5,
h5 {
    font-size: 1.25rem;
}

ul li {
    margin-bottom: 8px;
    color: #00000075;
}

section .mainTitle h2 {
    color: #1D4DA0;
    font-family: "Montserrat", sans-serif;
    font-weight: 600;
}

.subTitle {
    color: #1D4DA0;
    font-weight: 300;
}

.subTitle.keyPersons span {
    font-size: 24px;
}

.subTitle.projectSkills {
    padding: 0;
}

.subTitle span {
    font-weight: 500;
}

.innerTitle {
    font-weight: 500;
}

.navbar-toggler {
    border: none;
    outline: none;
    box-shadow: none;
}

.navbar-toggler:focus {
    outline: none;
    box-shadow: none;
}

/* header section css */
.navbar {
    box-shadow: none ! important;
}

.navbar.scrolled {

    border-bottom: 1px solid #c9c9c9;
    box-shadow: 2px 2px 20px #00000065;

}

.navbar .navbar-collapse .nav-item {
    margin: 0 10px;
}

.navbar .navbar-collapse .nav-link {
    transition: .5s;
}

.navbar .navbar-collapse .nav-link:hover {
    color: #1D4DA0;
}

@media only screen and (max-width: 576px) {
    .profileIntro .row {
        margin-top: 0 !important;
    }
}

.profileIntro .shape {
    background-size: cover;
    border-radius: 81% 24% 32% 68% / 58% 22% 78% 42%;
    aspect-ratio: 1/1;
    animation: movement 10s infinite;
}

.profileIntro .profileTile {
    color: #1D4DA0;
    font-weight: 500;
    text-transform: capitalize;
    font-family: "Montserrat", sans-serif;
}

.profileIntro .profileSubtitle {
    font-weight: 400;
    color: #000000;
}

.profileIntro .profileSubtitle span {
    font-size: 22px;
    line-height: 36px;

}

.profileIntro p {
    color: #00000075;
    font-size: 16px;
}

.profileIntro .email {
    display: flex;
    gap: 10px;
}

.profileIntro .email p {
    color: #000000;
}

.smBox {
    height: 45px;
    width: 45px;
    border-radius: 50%;
}

@media screen and (max-width: 992px) {
    .profileIntro .shape {
        width: 400px;
        height: 400px;
    }
}

@media screen and (max-width: 768px) {
    .profileIntro .shape {
        width: 400px;
        height: 400px;
    }
}

@media screen and (max-width: 420px) {
    .profileIntro .shape {
        width: 270px;
        max-height: 300px;
    }
}

@keyframes movement {
    0% {
        border-radius: 81% 24% 32% 68% / 58% 22% 78% 42%;
    }

    33% {
        border-radius: 81% 30% 32% 68% / 58% 22% 43% 42%;
    }

    66% {
        border-radius: 81% 24% 32% 68% / 58% 22% 35% 42%;
    }

    100% {
        border-radius: 81% 24% 32% 68% / 58% 22% 78% 42%;
    }
}


@media screen and (max-width: 992px) {
    .navbar {
        background-color: #ffffff;
    }

    .navbar .navbar-nav {
        padding: 30px 0;
        border-bottom: 1px solid rgb(197, 197, 197);
    }
}

.profileIntro .row:nth-child(odd) {

    flex-direction: row;
}

.profileIntro .row:nth-child(even) {
    flex-direction: row-reverse;
}

@media screen and (max-width: 992px) {

    .profileIntro .row {
        display: flex;
        flex-direction: column;
    }

    .profileIntro .profileIntro-left {
        order: 2;
    }

    .profileIntro .profileIntro-right {
        order: 1;
    }
}

/* profileSection section css */
.profileSection .profileSectionDiv {
    display: flex;
    flex-wrap: wrap;
    border-bottom: 1px solid #c9c9c9;
}

.profileSection .profileSection-detail-div {
    display: flex;
    margin: 15px 0;
}

.profileSection .profileSectionDiv .technicalSkills span {
    /* word-break: break-all; */
    max-width: 350px;
    margin-right: 20px;
    border: 2px solid red;
    display: inline-block;
}

.profileSection .profileSection-detail-div .detail-q {
    min-width: 150px;
    margin-right: 20px;
    font-weight: 500;
}

.profileSection .profileSection-detail-div .detail-a {
    font-weight: 300;
}

.profileSection h5 {
    color: #1D4DA0;
}

.profileSection .basicInfo {
    border-bottom: 1px solid rgb(164, 164, 164);
}


/* skills section start  */
.skills .skills-grid {
    display: flex;
    gap: 20px;
    flex-wrap: wrap;
    /* display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px; */
}

.skills .skills-grid p {
    margin-top: auto;
    margin-bottom: auto;
}

.skills .skills-grid .skillCard {
    padding: 10px 15px;
    display: flex;
    gap: 10px;
    border-radius: 5px;
    box-shadow: 2px 2px 20px #dadada25;
    background-color: #ffffff;
    width: max-content;
}

.skills .skills-grid .skillCard img {
    height: 40px;
}

@media only screen and (max-width: 992px) {
    .skills .skills-grid {
        gap: 10px;
    }

    .skills .skills-grid .skillCard img {
        height: 30px;
    }
}

@media only screen and (max-width: 576px) {
    .skills .skills-grid .skillCard img {
        height: 25px;
    }
}

/* @media only screen and (max-width: 576px) {
    .skills .skills-grid {

        grid-template-columns: 1fr 1fr;
        gap: 10px;
    }
}

@media only screen and (max-width: 420px) {
    .skills .skills-grid {

        grid-template-columns: 1fr;
        gap: 10px;
    }

    .skills .skills-grid .skillCard {
        padding: 10px 15px;
    }
} */



/* project section css */
.projectContainer a {
    min-height: 250px;
}

.project .projectImg {
    width: 90%;
    height: 100%;
    object-fit: cover;
    border-radius: 10px;
    float: right;

}

.project .nextIcon {
    position: absolute;
    top: 0;
    right: 0;
    margin: .25rem;
}

.project .FrameworksToolsDiv {
    position: absolute;
    top: 0;
    left: 0;
    bottom: 0;
    padding: 15px;
    background-image: linear-gradient(to right, rgba(0, 0, 0, 1) 30%, rgba(0, 0, 0, 0) 80%);

    /* background-image: linear-gradient(to right, rgb(0, 0, 0, 1), transparent); */
    margin: .25rem;
    border-radius: 10px 0 0 10px;
}

.project .FrameworksToolsDiv .FrameworkToolsCard {
    width: 120px;
    height: 30px;
    margin: 5px;
    background-color: #F8F8F8;
    border-radius: 3px;
    display: flex;
    align-items: center;
    justify-content: center;

}

.FrameworkToolsCard img {
    height: 90%;
    align-self: center;
}

@media only screen and (max-width: 420px) {
    .project .FrameworksToolsDiv .FrameworkToolsCard {
        width: 90px;
        height: 25px;
        margin: 4px;

    }
}

.project .projectDetails {
    position: absolute;
    border-radius: 0 0 10px 10px;
    padding: 12px 25px;
    bottom: 0;
    left: 0;
    right: 0;
    color: #ffffff;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-image: linear-gradient(to top, rgb(0, 0, 0, .9), transparent);
    margin: .25rem;
}

.project .projectDetails h6 {
    font-size: 14px;
    line-height: 18px;
}

/* experience css start  */
.experience .designation h4 {
    font-size: 22px;
    color: #000000;
}


.experience .experienceDiv {
    padding: 25px 0 20px;
    border-bottom: 1px solid #c9c9c9;
}

.experience .companyExperience {
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}


.experience .companyDate {
    display: flex;
    gap: 20px;
}

/* testimonial section css */
.testimonials .carousel .leftRightDiv {
    display: flex;
    gap: 20px;
}

.testimonials .testiCard {
    border: 1px solid #c9c9c9;

}

/* contact section css */
.contact .social-media {
    display: flex;
    gap: 20px;
}

.downloadCV a {
    padding: 10px 55px;
    border-radius: 5px;
    display: inline-block;
    margin: 15px 0 25px;
    color: #ffffff;
    background-color: #1D4DA0;
    border: 2px solid #1D4DA0;
    transition: .5s;
    height: max-content;
}

.downloadCV a:hover {
    background-color: #F8F8F8;
    border: 2px solid #1D4DA0;
    color: #1D4DA0;
}

.contact .social-media span {
    color: #000000;
}



.contact .form-control {
    font-size: 1rem ! important;
}

.contact .contact-btn {
    width: 100%;
    background-color: #1D4DA0;
    border: 2px solid #1D4DA0 !important;
    color: #ffffff;
    transition: .5s;

}

.contact .contact-btn:hover {
    background-color: #ffffff;
    color: #1D4DA0;
}

.section-title {
    color: #1D4DA0;
}


.error {
    color: red;
    font-size: 12px;
}


/* project-page css start -------------------------- */
.projectIntro .projectInfo img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    border-radius: 10px;
    margin-bottom: 50px;
}

/* project page css end ---------------------------*/
.limited {
    overflow: hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 5;
    -webkit-box-orient: vertical !important;
}

.readMore {
    color: #1D4DA0;
    padding: 10px 20px;
    display: inline-block;
}


/* back navigation css start ----------------------------- */

.project_latest button {
    position: absolute;
    top: -60px;
    right: 100px;
    width: 56px;
    height: fit-content;
    margin: 0;
    padding: 8px 13px;
    border-radius: 30px;
    background: none;
    display: flex;
    align-items: center;
    gap: 11px;
    border: 1px solid #1D4DA0;
    transition: .3s;
    overflow: hidden;
}

@media only screen and (max-width: 768px) {
    .project_latest button {
        position: absolute;
        top: -15px;
        right: 15px;
    }
}

.project_latest button p {
    font-size: 20px;
    line-height: 32px;
    margin-top: auto;
    margin-bottom: auto;
    display: inline;
}

.project_latest button:hover {
    width: 125px;
}

.project_latest button i {
    font-size: 30px;
    line-height: 32px;
    display: inline;
}

/* Hide the button by default */
#goBackButton {
    opacity: 0;
}

/* back navigation css end ----------------------------- */




/* project detailed page css start -------------------------- */

main section.section_container:first-child {
    margin-top: 100px;
}

/* main section.section_container:last-child {
    padding-bottom: 100px;
    background-color: #ffffff;
} */
.section_container ul li {
    color: #000000;
}

.project_main_title h1 {
    font-size: 56px;
    position: relative;
}

.project_main_title h1::after {
    content: "case study";
    position: absolute;
    top: -120px;
    right: -50%;
    font-size: 160px;
    font-weight: bold;
    color: #ededed;
    z-index: -1;
}

.project_banner img {
    width: 100%;
}

@media only screen and (max-width: 992px) {
    .project_main_title h1::after {
        top: -80px;
        left: 50%;
        transform: translateX(-50%);
        font-size: 126px;
    }

    .project_main_title h1 {
        font-size: 46px;
    }
}

@media only screen and (max-width: 768px) {
    .project_main_title h1::after {
        top: -80px;
        left: 50%;
        transform: translateX(-50%);
        font-size: 100px;
    }
}

@media only screen and (max-width: 576px) {
    .project_main_title h1::after {
        display: none;
    }

    .project_main_title h1 {
        font-size: 46px;
    }
}

.section_container .section_bg img {
    width: 100%;
    height: 100%;
    min-height: 420px;
    max-height: 470px;
    object-fit: cover;
    filter: grayscale(100%);
    /* margin-top: auto;
    margin-bottom: auto; */
}

.section_title {
    margin-bottom: 25px;
}


/* image slider css start ======================================== */


.card {
    margin: 5px;
}

.card img {
    height: 400px;
}

.owl-carousel .owl-item img {
    border-radius: 5px !important;
    object-fit: cover !important;
}

.owl-nav button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    background: rgba(0, 0, 0, 0.5);
    color: #fff;
    border: none;
    border-radius: 50%;
    width: 40px;
    height: 40px;
}

.owl-nav .owl-prev {
    left: -50px;
}

.owl-nav .owl-next {
    right: -50px;
}

.owl-dots {
    text-align: center;
    margin-top: 10px;
}

.owl-dot {
    display: inline-block;
    width: 12px;
    height: 12px;
    margin: 0 5px;
    background-color: #bbb;
    border-radius: 50%;
    cursor: pointer;
    transition: background-color 0.3s ease;
}
.owl-dot span {
    display: none !important;
}

/* .owl-dots {
    display: block !important;
    text-align: center;
    margin-top: 10px;
}

.owl-dot {
    width: 12px;
    height: 12px;
    background: black !important;
    display: inline-block;
    margin: 5px;
    border-radius: 50%;
}

.owl-dot.active {
    background: red !important;
} */


.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev {
    display: none;
}
.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev,
.owl-carousel button.owl-dot {
    background-color: #c6c6c6 !important;
}
.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev,
.owl-carousel button.owl-dot {
    background-color: #c6c6c6 !important;
}
.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev,
.owl-carousel button.owl-dot.active  {
    background-color: #9a9a9a !important;
}
.owl-carousel .owl-nav button.owl-next,
.owl-carousel .owl-nav button.owl-prev,
.owl-carousel button.owl-dot:hover {
    background-color: #9a9a9a !important;
}



/* image slider css end ======================================== */

.technologies {
    width: auto;
    height: 120px;
    padding: 20px;
    display: flex;
    gap: 10px;
    flex-direction: column;
    align-items: center;
    background-color: #ffffff;
    box-shadow: 5px 5px 20px #f3f3f3;
    border-radius: 10px;
}

.technologies img {
    height: 50px;
}

.technologies p {
    font-size: 16px;
    color: #00000050;
}


.quote_container .quote {
    padding: 40px;
    border-top: 1px solid #636363;
    border-bottom: 1px solid #636363;
    /* border-top: 1px solid transparent;
    border-image: linear-gradient(to right, transparent, #636363, transparent) 1;
    border-bottom: 1px solid transparent;
    border-image: linear-gradient(to right, transparent, #636363, transparent) 1; */
}

.quote_container .quote p {
    font-style: italic;
}

.quote_container .quote .author {
    font-weight: 700;
}


.section_container#footer {
    background-image: url("../img/background/black_bg.jpg");
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
    color: #ffffff;
    /* color: #000000;
    background-color: #9c9c9c; */
}

.section_container#footer h2 {
    font-size: 46px;
    line-height: 60px;
    margin-bottom: 60px;
}
.section_container#footer p {
    margin-bottom: 30px;
}
.section_container#footer p a {
    color: #ffffff;
}
.section_container h2 span img {
    height: 40px;
    width: 100px;
    object-fit: cover;
    border-radius: 50px;
}

.footer_card {
    background: rgba(255, 255, 255, 0.2);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border-radius: 15px;
    color: #fff;
    padding: 10px;
    margin-bottom: 15px;
}

.footer_card p {
    font-size: 12px;
    color: #ffffff75;
    margin-bottom: 0px !important;
}


/* back navigation css start ----------------------------- */

.container #goBackButton {
    position: absolute;
    top: 30px;
    right: 100px;
    width: 56px;
    height: fit-content;
    margin: 0;
    padding: 8px 13px;
    border-radius: 30px;
    background: none;
    display: flex;
    align-items: center;
    gap: 11px;
    border: 1px solid #1D4DA0;
    transition: .3s;
    overflow: hidden;
}

@media only screen and (max-width: 768px) {
    .container #goBackButton {
        position: absolute;
        top: -15px;
        right: 15px;
    }
}

.container #goBackButton p {
    font-size: 20px;
    line-height: 32px;
    margin-top: auto;
    margin-bottom: auto;
    display: inline;
}

.container #goBackButton:hover {
    width: 125px;
}

.container #goBackButton i {
    font-size: 30px;
    line-height: 32px;
    display: inline;
}

/* Hide the button by default */
#goBackButton {
    opacity: 0;
}

/* back navigation css end ----------------------------- */